#include <iostream.h>
#include <stdio.h>
#include "copyChar.h"
#include "rpc.h"

/*
 *  Main simply registers the procedures and then enters the
 *  stub execute mode.
 */

#define PARAMETER_COUNT (2)

int
main()
{
  int argTypes[PARAMETER_COUNT + 1];
  int result = 0;

  argTypes[0] = ARG_OUTPUT | ARG_CHAR;      // input char
  argTypes[1] = ARG_INPUT  | ARG_CHAR;      // output char
  argTypes[2] = 0;                          // Terminator

  result = rpcRegister("copyChar", argTypes, &copyChar_skel);
  if (result < 0) 
    cerr << "rpcRegister generated an error: " << result << endl;
  else if (result > 0)
    cerr << "rpcRegister generated a warning: " << result << endl;

  result = rpcExecute();

  cerr << "Server was terminated with result: " << result << endl;

  exit(0);
}
