
#include <malloc.h>
#include <iostream.h>
#include <stdio.h>
#include "rpc.h"
#include "copyChar.h"

#define PARAMETER_COUNT   (2)

char 
copyChar_stub(char input) 
{
  int  rpc_result = 0;
  char result = '\0';
  char dest = '\0';
  char src  = input;
  int argTypes[PARAMETER_COUNT + 1];
  void *args[PARAMETER_COUNT + 1];

  argTypes[0] = ARG_OUTPUT | ARG_CHAR;    // dest / output
  argTypes[1] = ARG_INPUT  | ARG_CHAR;    // src  / input
  argTypes[2] = 0;                        // Terminator
  
  args[0] = (void *) &dest;
  args[1] = (void *) &src;

  cout << "Before: " << dest << ", " << src << endl;
  rpc_result = rpcCall("copyChar", argTypes, args); 
  // Should do something to check return value 
  cout << "After: " << dest << ", " << src << endl;

  result = *(char *) args[0];

  return(result);  
}
