#include <malloc.h>
#include <iostream.h>
#include "rpc.h"
#include "copyChar.h"

/*
 * Procedure copyChar expects the argument types to be two char's.
 * Failure to do so will result in it returning a -1.
 * It copies the second char to the first char.
 */

int 
copyChar_skel(int *argTypes, void **args) {

  if (((argTypes[0] & ARG_TYPE_MASK) != ARG_CHAR) ||
      ((argTypes[1] & ARG_TYPE_MASK) != ARG_CHAR)) {
    return -1;
  }

  *(char *) args[0] = copyChar(*(char *) args[1]);

  return 0;
}

